Subject: Re: [Idr] Working group adoption call for draft-gredler-idr-bgp-ls-segment-routing-ext

From: Linda Dunbar <[email-masked]>
Date: Tue, 1 Nov 2016 15:03:59 +0000

Support.

Thanks,
Linda Dunbar

-----邮件原件-----
发件人: Idr [mailto:[email-masked]] 代表 John G. Scudder
发送时间: 2016年11月1日 5:16
收件人: [email-masked]
主题: [Idr] Working group adoption call for draft-gredler-idr-bgp-ls-segment-routing-ext

Hi Everyone,

The authors have asked (some time ago actually) for the WG to adopt draft-gredler-idr-bgp-ls-segment-routing-ext. 

If you support or oppose adoption please reply indicating so. Reasons for your position are helpful, as volunteering to review, comment, and/or shepherd.

The adoption call will end November 13.

Thanks,

--John

P.S.: https://www.ietf.org/id/draft-gredler-idr-bgp-ls-segment-routing-ext-04.txt

Abstract

   Segment Routing (SR) allows for a flexible definition of end-to-end
   paths within IGP topologies by encoding paths as sequences of
   topological sub-paths, called "segments".  These segments are
   advertised by the link-state routing protocols (IS-IS, OSPF and
   OSPFv3).

   This draft defines extensions to the BGP Link-state address-family in
   order to carry segment information via BGP.
_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr
_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Tue, 1 Nov 2016 16:29:20 +0000

support.

Thanks,
Jakob.

> -----Original Message-----
> From: Idr [mailto:[email-masked]] On Behalf Of John G. Scudder
> Sent: Monday, October 31, 2016 2:16 PM
> To: [email-masked]
> Subject: [Idr] Working group adoption call for draft-gredler-idr-bgp-ls-segment-routing-ext
> 
> Hi Everyone,
>

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 1 Nov 2016 13:05:55 -0400

> On Oct 31, 2016, at 5:16 PM, John G. Scudder <[email-masked]> wrote:
> 
> Hi Everyone,
> 

I support adoption.

Also, in light of not only code shipping and in recent discussions... there are a number of code point points in this document pertinent to BGP-LS that need early allocation.  The chairs should consider that as part of adoption work.

-- Jeff

---

From: "John G. Scudder" <[email-masked]>
Date: Tue, 1 Nov 2016 13:21:17 -0400

On Nov 1, 2016, at 1:05 PM, Jeffrey Haas <[email-masked]> wrote:
> there are a number of code point points in this document pertinent to BGP-LS that need early allocation. The chairs should consider that as part of adoption work.

Yes, thanks for pointing that out.

Let's please consider that as part of this document adoption request, we should also discuss early allocation for the code points listed in Section 4.1 of the draft. The registry policy is "specification required" which follows the same RFC 7120 early allocation policy as standards action. As a reminder, the requirements for early allocation can be summarized as:

- Stable spec
- Sufficient interest

We will conclude the early allocation call at the same time as the WG adoption call, on November 13.

Obviously if we DON'T adopt the document we would not pass the "sufficient interest" bar, but otherwise I (switching to speak now as a WG member) would support proceeding with early allocation.

Thanks,

--John

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Wed, 2 Nov 2016 03:21:19 +0000

Support the adoption. 

Best regards,
Jie

> Sent: Tuesday, November 01, 2016 5:16 AM
> To: [email-masked]
> Subject: [Idr] Working group adoption call for
> draft-gredler-idr-bgp-ls-segment-routing-ext
> 
> Hi Everyone,
> 
> The authors have asked (some time ago actually) for the WG to adopt
> draft-gredler-idr-bgp-ls-segment-routing-ext.
> 
> If you support or oppose adoption please reply indicating so. Reasons for your
> position are helpful, as volunteering to review, comment, and/or shepherd.
>

---

From: "Dickinson, Ian" <[email-masked]>
Date: Wed, 2 Nov 2016 13:47:09 +0000

I support adoption of this draft

Ian

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of John G. Scudder
Sent: 31 October 2016 21:16
To: [email-masked]
Subject: [Idr] Working group adoption call for draft-gredler-idr-bgp-ls-segment-routing-ext

Hi Everyone,

Thanks,

--John

Abstract

Information in this email including any attachments may be privileged, confidential and is intended exclusively for the addressee. The views expressed may not be official policy, but the personal views of the originator. If you have received it in error, please notify the sender by return e-mail and delete it from your system. You should not reproduce, distribute, store, retransmit, use or disclose its contents to anyone. Please note we reserve the right to monitor all e-mail communication through our internal and external networks. SKY and the SKY marks are trademarks of Sky plc and Sky International AG and are used under licence.

Sky UK Limited (Registration No. 2906991), Sky-In-Home Service Limited (Registration No. 2067075) and Sky Subscribers Services Limited (Registration No. 2340150) are direct or indirect subsidiaries of Sky plc (Registration No. 2247735). All of the companies mentioned in this paragraph are incorporated in England and Wales and share the same registered office at Grant Way, Isleworth, Middlesex TW7 5QD.

---

From: <[email-masked]>
Date: Thu, 3 Nov 2016 10:10:22 +0000

Hi John, Sue,

I support both WG adoption and early allocation.
This is the BGP-LS mapping of information defined in IGP documents which are WG doc for a long time. So it makes sense to me that the BGP-LS document also becomes an IDR WG doc.

Thanks,
Regards,
--Bruno

 > Sent: Tuesday, November 01, 2016 6:21 PM
 > To: Jeffrey Haas
 > Cc: IETF IDR Working Group
 > Subject: [Idr] early allocation for draft-gredler-idr-bgp-ls-segment-routing-ext
 > 
 > > there are a number of code point points in this document pertinent to BGP-LS that need
 > early allocation. The chairs should consider that as part of adoption work.
 > 
 > Let's please consider that as part of this document adoption request, we should also
 > discuss early allocation for the code points listed in Section 4.1 of the draft. The registry
 > policy is "specification required" which follows the same RFC 7120 early allocation policy
 > as standards action. As a reminder, the requirements for early allocation can be
 > summarized as:
 > 
 > - Stable spec
 > - Sufficient interest
 > 
 > Obviously if we DON'T adopt the document we would not pass the "sufficient interest"
 > bar, but otherwise I (switching to speak now as a WG member) would support proceeding
 > with early allocation.
 > 
 > Thanks,
 > 
 > --John

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Thu, 3 Nov 2016 10:38:48 +0000

as co-author:

. I support the adoption of this document as WG item because 
  it describes a useful BGP-LS extension, already reflected in
  multiple implementations, and also it defines a substantial 
  amount of codepoints that require IANA allocation.

. I’m not aware of any IPR related to this document.

Thanks.
s.

> On Oct 31, 2016, at 10:16 PM, John G. Scudder <[email-masked]> wrote:
> 
> Hi Everyone,
>

---

From: "John G. Scudder" <[email-masked]>
Date: Mon, 14 Nov 2016 17:08:01 +0900

We have consensus to adopt the document. Authors, please resubmit as draft-ietf-idr- etc.

Also, we have consensus for early allocation of the required code points. The chairs will work with the AD and IANA.

--John

> On Nov 1, 2016, at 6:16 AM, John G. Scudder <[email-masked]> wrote:
> 
> Hi Everyone,
>